2016年7月29日 星期五

安裝 CocoaPods on Mac OS X El Capitan

操作環境:Mac OS X El Capitan (10.11.6)

目標:純粹安裝 CocoaPods,不包含 Xcode 的 CocoaPods 設定。
Xcode 的 CocoaPods 設定在此

PS. 這裡的步驟包含了 try and error,忠實呈現參照其他網站的方法安裝 CocoaPods 時遇到的問題。

Steps:
  1. 執行 Mac OX 內建的 Terminal app
  2. 下指令
    sudo gem install cocoapods
    並輸入目前登入電腦帳號的密碼後送出,

    這邊出現的錯誤表示 activesupport 5.0.0 須要 Ruby 2.2.2 以上的版本才可安裝

  3. 所以個別安裝 activesupport 較低版本 4.2.6
    sudo gem install activesupport -v 4.2.6

  4. 接著繼續安裝 CocoaPods
    sudo gem install cocoapods
    並輸入目前登入電腦帳號的密碼後送出,會安裝18個 gems

  5. 設置 CocoaPods master repository
    pod setup

  6. 完成

沒有留言:

張貼留言